Get product warranty terms
Get a product warranty terms details.
get/tenants/{tenantUid}/product-warranties/{productWarrantyUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+productWarrantyUidstringRequired
Reference to product warranty terms
Responses
200
Example response
application/json
productWarrantyUidstringRequiredPattern:
^[A-Za-z0-9-_]+namestringRequired
termsstringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/product-warranties/{productWarrantyUid}
GET /v2/tenants/{tenantUid}/product-warranties/{productWarrantyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"productWarrantyUid": "text",
"name": "text",
"terms": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

